#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	rpmlint
Version		:	2.5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Tool for checking common errors in RPM packages
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/rpm-software-management/rpmlint/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bash-completion
BuildRequires	:	make
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-packaging
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-pytest
BuildRequires	:	python3-tomli
BuildRequires	:	python-wheel
BuildRequires	:	sed

BuildArch	:	noarch

Requires	:	groff
Requires	:	perl
Requires	:	python3
Requires	:	xz
#-----------------------------------------------------------------------------
%description
%{name} is a tool for checking common errors in rpm packages.
%{name} can be used to test individual packages before uploading
or to check an entire distribution.  By default all applicable
checks are performed but specific checks can be performed by using
command line
parameters.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/rpmdiff
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.pyc
%{python3_sitelib}/%{name}/configdefaults.toml
%{python3_sitelib}/%{name}/descriptions/*.toml
%{python3_sitelib}/%{name}/checks/*.py
%{python3_sitelib}/%{name}/checks/__pycache__/*.pyc
%{python3_sitelib}/%{name}-%{version}.dist-info/
#{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
